KDE 4.9 PyKDE API Reference

- KDE's Python API

# ItemDeleteJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that deletes items from the Akonadi storage.

This job removes the given items from the Akonadi storage.

Example:

     const Akonadi.Item item = ...

     ItemDeleteJob *job = new ItemDeleteJob( item );
     connect( job, SIGNAL( result( KJob* ) ), this, SLOT( deletionResult( KJob* ) ) );

Example:

     const Akonadi.Item.List items = ...

     ItemDeleteJob *job = new ItemDeleteJob( items );
     connect( job, SIGNAL( result( KJob* ) ), this, SLOT( deletionResult( KJob* ) ) );

Author:
  Volker Krause <vkrause@kde.org>

## Methods

| __init__ (self, Akonadi.Item item, QObject parent=0)
| __init__ (self, [Akonadi.Item] items, QObject parent=0)
| __init__ (self, Akonadi.Collection collection, QObject parent=0)
[Akonadi.Item] | deletedItems (self)
| doStart (self)

## Method Documentation

__init__ | ( | self, |
|  | Akonadi.Item | item,
|  | QObject | parent=0
| ) |  |  |

Creates a new item delete job that deletes item. The item needs to either have a unique identifier or a remote identifier set. In the latter case a collection or resource context needs to be selected (using CollectionSelectJob or ResourceSelectJob).

Parameters:

  | item | The item to delete.
  | parent | The parent object.

__init__ | ( | self, |
|  | [Akonadi.Item] | items,
|  | QObject | parent=0
| ) |  |  |

Creates a new item delete job that deletes all items in the list items. These items can be located in any collection. The same restrictions on item identifiers apply as in the constructor above.

Parameters:

  | items | The items to delete.
  | parent | The parent object.

Since:
  4.3

__init__ | ( | self, |
|  | Akonadi.Collection | collection,
|  | QObject | parent=0
| ) |  |  |

Creates a new item delete job that deletes all items in the collection collection. The collection needs to have either a unique identifier or a remote identifier set. In the latter case a resource context needs to be selected using ResourceSelectJob.

Parameters:

  | collection | The collection which content should be deleted.
  | parent | The parent object.

Since:
  4.3

[Akonadi.Item] deletedItems | ( |  | self ) |

Returns the items passed on in the constructor.

Since:
  4.4

doStart | ( |  | self ) |